<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20210412115536 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->addSql('CREATE TABLE make (id SERIAL NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE manufacturer (id SERIAL NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE model (id SERIAL NOT NULL, make_id INT DEFAULT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_D79572D9CFBF73EB ON model (make_id)');
        $this->addSql('CREATE TABLE nhtsa_complaint (manufacturer_id INT DEFAULT NULL, make_ent_id INT DEFAULT NULL, model_ent_id INT DEFAULT NULL, CMPLID INT NOT NULL, ODINO INT DEFAULT NULL, MFR_NAME VARCHAR(40) DEFAULT NULL, MAKETXT VARCHAR(25) DEFAULT NULL, MODELTXT VARCHAR(256) DEFAULT NULL, YEARTXT INT DEFAULT NULL, CRASH BOOLEAN DEFAULT NULL, FAILDATE DATE DEFAULT NULL, FIRE BOOLEAN DEFAULT NULL, INJURED INT DEFAULT NULL, DEATHS INT DEFAULT NULL, COMPDESC VARCHAR(128) DEFAULT NULL, CITY VARCHAR(30) DEFAULT NULL, STATE VARCHAR(2) DEFAULT NULL, VIN VARCHAR(11) DEFAULT NULL, DATEA DATE DEFAULT NULL, LDATE DATE DEFAULT NULL, MILES INT DEFAULT NULL, OCCURENCES INT DEFAULT NULL, CDESCR TEXT DEFAULT NULL, CMPL_TYPE VARCHAR(4) DEFAULT NULL, POLICE_RPT_YN BOOLEAN DEFAULT NULL, PURCH_DT DATE DEFAULT NULL, ORIG_OWNER_YN BOOLEAN DEFAULT NULL, ANTI_BRAKES_YN BOOLEAN DEFAULT NULL, CRUISE_CONT_YN BOOLEAN DEFAULT NULL, NUM_CYLS INT DEFAULT NULL, DIVE_TRAIN VARCHAR(4) DEFAULT NULL, FUEL_SYS VARCHAR(4) DEFAULT NULL, FUEL_TYPE VARCHAR(4) DEFAULT NULL, TRANS_TYPE VARCHAR(4) DEFAULT NULL, VEH_SPEED INT DEFAULT NULL, DOT VARCHAR(20) DEFAULT NULL, TIRE_SIZE VARCHAR(30) DEFAULT NULL, LOC_OF_TIRE VARCHAR(4) DEFAULT NULL, TIRE_FAIL_TYPE VARCHAR(4) DEFAULT NULL, ORIG_EQUIP_YN BOOLEAN DEFAULT NULL, MANUF_DT DATE DEFAULT NULL, SEAT_TYPE VARCHAR(4) DEFAULT NULL, RESTRAINT_TYPE VARCHAR(4) DEFAULT NULL, DEALER_NAME VARCHAR(40) DEFAULT NULL, DEALER_TEL VARCHAR(20) DEFAULT NULL, DEALER_CITY VARCHAR(30) DEFAULT NULL, DEALER_STATE VARCHAR(2) DEFAULT NULL, DEALER_ZIP VARCHAR(10) DEFAULT NULL, PROD_TYPE VARCHAR(4) DEFAULT NULL, REPAIRED_YN BOOLEAN DEFAULT NULL, MEDICAL_ATTN BOOLEAN DEFAULT NULL, VEHICLE_TOWED_YN BOOLEAN DEFAULT NULL, PRIMARY KEY(CMPLID))');
        $this->addSql('CREATE INDEX IDX_8EE8385EA23B42D ON nhtsa_complaint (manufacturer_id)');
        $this->addSql('CREATE INDEX IDX_8EE8385E5E245149 ON nhtsa_complaint (make_ent_id)');
        $this->addSql('CREATE INDEX IDX_8EE8385E9143F910 ON nhtsa_complaint (model_ent_id)');
        $this->addSql('CREATE TABLE nhtsa_recall (manufacturer_id INT DEFAULT NULL, model_ent_id INT DEFAULT NULL, make_ent_id INT DEFAULT NULL, RECORD_ID INT NOT NULL, CAMPNO VARCHAR(255) DEFAULT NULL, MAKETXT VARCHAR(255) DEFAULT NULL, MODELTXT VARCHAR(255) DEFAULT NULL, YEARTXT INT DEFAULT NULL, MFGCAMPNO VARCHAR(255) DEFAULT NULL, COMPNAME VARCHAR(255) DEFAULT NULL, MFGNAME VARCHAR(255) DEFAULT NULL, BGMAN DATE DEFAULT NULL, ENDMAN DATE DEFAULT NULL, RCLTYPECD VARCHAR(255) DEFAULT NULL, POTAFF INT DEFAULT NULL, ODATE DATE DEFAULT NULL, INFLUENCED_BY VARCHAR(255) DEFAULT NULL, MFGTXT VARCHAR(255) DEFAULT NULL, RCDATE DATE DEFAULT NULL, DATEA DATE DEFAULT NULL, RPNO INT DEFAULT NULL, FMVSS VARCHAR(255) DEFAULT NULL, DESC_DEFECT TEXT DEFAULT NULL, CONEQUENCE_DEFECT TEXT DEFAULT NULL, CORRECTIVE_ACTION TEXT DEFAULT NULL, NOTES TEXT DEFAULT NULL, RCL_CMPT_ID VARCHAR(255) DEFAULT NULL, MFR_COMP_NAME VARCHAR(255) DEFAULT NULL, MFR_COMP_DESC VARCHAR(255) DEFAULT NULL, MFR_COMP_PTNO VARCHAR(255) DEFAULT NULL, PRIMARY KEY(RECORD_ID))');
        $this->addSql('CREATE INDEX IDX_55034958A23B42D ON nhtsa_recall (manufacturer_id)');
        $this->addSql('CREATE INDEX IDX_550349589143F910 ON nhtsa_recall (model_ent_id)');
        $this->addSql('CREATE INDEX IDX_550349585E245149 ON nhtsa_recall (make_ent_id)');
        $this->addSql('ALTER TABLE model ADD CONSTRAINT FK_D79572D9CFBF73EB FOREIGN KEY (make_id) REFERENCES make (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE nhtsa_complaint ADD CONSTRAINT FK_8EE8385EA23B42D FOREIGN KEY (manufacturer_id) REFERENCES manufacturer (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE nhtsa_complaint ADD CONSTRAINT FK_8EE8385E5E245149 FOREIGN KEY (make_ent_id) REFERENCES make (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE nhtsa_complaint ADD CONSTRAINT FK_8EE8385E9143F910 FOREIGN KEY (model_ent_id) REFERENCES model (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE nhtsa_recall ADD CONSTRAINT FK_55034958A23B42D FOREIGN KEY (manufacturer_id) REFERENCES manufacturer (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE nhtsa_recall ADD CONSTRAINT FK_550349589143F910 FOREIGN KEY (model_ent_id) REFERENCES model (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE nhtsa_recall ADD CONSTRAINT FK_550349585E245149 FOREIGN KEY (make_ent_id) REFERENCES make (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->addSql('CREATE SCHEMA public');
        $this->addSql('ALTER TABLE model DROP CONSTRAINT FK_D79572D9CFBF73EB');
        $this->addSql('ALTER TABLE nhtsa_complaint DROP CONSTRAINT FK_8EE8385E5E245149');
        $this->addSql('ALTER TABLE nhtsa_recall DROP CONSTRAINT FK_550349585E245149');
        $this->addSql('ALTER TABLE nhtsa_complaint DROP CONSTRAINT FK_8EE8385EA23B42D');
        $this->addSql('ALTER TABLE nhtsa_recall DROP CONSTRAINT FK_55034958A23B42D');
        $this->addSql('ALTER TABLE nhtsa_complaint DROP CONSTRAINT FK_8EE8385E9143F910');
        $this->addSql('ALTER TABLE nhtsa_recall DROP CONSTRAINT FK_550349589143F910');
        $this->addSql('DROP TABLE make');
        $this->addSql('DROP TABLE manufacturer');
        $this->addSql('DROP TABLE model');
        $this->addSql('DROP TABLE nhtsa_complaint');
        $this->addSql('DROP TABLE nhtsa_recall');
    }
}
